W_WORK_TO_BE_DONE(3)

FUNCTION
w_work_to_be_done - Test for pending work functions waiting to be called.

SYNOPSIS
#include <karma_w.h>

flag w_work_to_be_done

()

DESCRIPTION
This routine will determine if there are any pending work functions waiting to be called.

RETURN VALUE
TRUE if any work functions are pending, else FALSE.

Multi-threading Level
Unsafe.

NOTE
Disabling support for work functions via <w_unregister_support> has no effect on this function.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/